Mail archive
alpine-devel

Re: [alpine-devel] testing/enumiax: new aport

From: Alan Messias <alancordeiro_at_gmail.com>
Date: Thu, 13 Nov 2014 07:59:06 -0200

That is what I was supposed to send:

---
 testing/enumiax/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/enumiax/APKBUILD
diff --git a/testing/enumiax/APKBUILD b/testing/enumiax/APKBUILD
new file mode 100644
index 0000000..67b9889
--- /dev/null
+++ b/testing/enumiax/APKBUILD
_at__at_ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda_at_alpinelinux.org>
+pkgname=enumiax
+pkgver=0.4a
+pkgrel=0
+pkgdesc="An Inter Asterisk Exchange version 2 protocol username
brute-force enumerator."
+url="http://sourceforge.net/projects/enumiax/"
+arch="all"
+license="GPL+2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="
http://ufpr.dl.sourceforge.net/project/$pkgname/$pkgname/$pkgname-$pkgver/$pkgname-$pkgver.tar.gz
"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+       local i
+       cd "$_builddir"
+       for i in $source; do
+               case $i in
+               *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+               esac
+       done
+}
+
+build() {
+       cd "$_builddir"
+}
+
+package() {
+       mkdir -p "$_builddir"
+       cd "$_builddir"
+       make
+       install -m 755 $pkgname /usr/bin
+}
+
+md5sums="2a148fd2faa74d636ad891c7073fbd96  enumiax-0.4a.tar.gz"
+sha256sums="cf1b1db4d6d62c919afd1484e2476ef7c2ce05220555e829cc5d3821e47a2f41
 enumiax-0.4a.tar.gz"
+sha512sums="671af2e274fa94b950d42db57880ec6d494510df8970edeeebe2e06a98aba4b6f3f10686624238f7cb19c590751a29d80993ffeee3c7091a30b4f2c337f8ce18
 enumiax-0.4a.tar.gz"
--
2.0.0
On Wed, Nov 12, 2014 at 6:10 PM, Alan Messias <alancordeiro_at_gmail.com>
wrote:
> Wow,
>
> I doubt that anyone can do worse than I did. :)
>
> Tomorrow I will fix it. Sorry for the noise.
> On Nov 12, 2014 6:01 PM, "Isaac Dunham" <ibid.ag_at_gmail.com> wrote:
>
>> On Wed, Nov 12, 2014 at 04:52:30PM -0200, Alan Messias wrote:
>> > http://sprunge.us/hihA
>> > --
>> > Atenciosamente,
>> > Alan Messias Cordeiro
>>
>> Didn't work quite right; that link contains only this:
>> ===
>> 0001-testing-enumiax-new-aport.patch
>>
>> ===
>>
>> Thanks,
>> Isaac Dunham
>>
>
-- 
Atenciosamente,
Alan Messias Cordeiro
*The nice thing about standards is that there are so many to choose from.
And if you really don't like all the standards you just have to wait
another year until the one arises you are looking for. -- A. Tanenbaum,
"Introduction to Computer Networks"*
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Nov 13 2014 - 07:59:06 GMT